eclipse官网上的Linux 64bit版下载地址给错了

eclipse官网上的Linux 64bit版下载地址给错了,给的地址是32bit的。
我的ubuntu是64位的,软件源里最新的eclipse是3.2的,于是我就去官网下3.3的eclipse。下载后我没注意,解压后直接运行,然后报告
changming:~/eclipse> eclipse
eclipse: Command not found.
changming:~/eclipse> ls
about_files configuration eclipse.ini features libcairo-swt.so plugins
about.html eclipse epl-v10.html icon.xpm notice.html readme
搞的我莫名其妙的。
$ file eclipse
eclipse: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.2.5, dynamically linked (uses shared libs), not stripp
我以为它是动态连接的,然后缺少动态库。但是用ldd -v被告知说这个是静态链接的可执行程序。又搞的我莫名其妙。后来查了下,确实是动态库缺失,然后安装了ia32的libc的动态库后,果真可以运行了,但是jvm报错。
最终的解决办法是,找到镜像的文件目录,自己去找64bit版下载~!

此博客中的热门博文

少写代码,多读别人写的代码

在windows下使用llvm+clang

tensorflow distributed runtime初窥